python-fiat_1.6.0-1_all.deb


Advertisement

Description

python-fiat - tabulation of finite element function spaces

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-fiat
Package version 1.6.0
Package release 1
Package architecture all
Package type deb
Installed size 217 B
Download size 35.61 KB
Official Mirror archive.ubuntu.com
The FInite element Automatic Tabulator FIAT supports generation of arbitrary
order instances of the Lagrange elements on lines, triangles, and tetrahedra.
Other supported elements include arbitrary order Raviart-Thomas elements,
Brezzi-Douglas-Marini elements and a few others.

Alternatives

Package Version Architecture Repository
python-fiat_1.6.0-1_all.deb 1.6.0 all Ubuntu Universe
python-fiat - - -

Requires

Name Value
python << 2.8
python >= 2.7
python-numpy -
python-sympy -

Download

Type URL
Binary Package python-fiat_1.6.0-1_all.deb
Source Package fiat

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-fiat deb package:
    # sudo apt-get install python-fiat

Files

Path
/usr/lib/python2.7/dist-packages/FIAT-1.6.0dev.egg-info
/usr/lib/python2.7/dist-packages/FIAT/P0.py
/usr/lib/python2.7/dist-packages/FIAT/__init__.py
/usr/lib/python2.7/dist-packages/FIAT/argyris.py
/usr/lib/python2.7/dist-packages/FIAT/asci2vtk2d.py
/usr/lib/python2.7/dist-packages/FIAT/asci2vtk3d.py
/usr/lib/python2.7/dist-packages/FIAT/brezzi_douglas_fortin_marini.py
/usr/lib/python2.7/dist-packages/FIAT/brezzi_douglas_marini.py
/usr/lib/python2.7/dist-packages/FIAT/crouzeix_raviart.py
/usr/lib/python2.7/dist-packages/FIAT/discontinuous_lagrange.py
/usr/lib/python2.7/dist-packages/FIAT/discontinuous_raviart_thomas.py
/usr/lib/python2.7/dist-packages/FIAT/dual_set.py
/usr/lib/python2.7/dist-packages/FIAT/expansions.py
/usr/lib/python2.7/dist-packages/FIAT/factorial.py
/usr/lib/python2.7/dist-packages/FIAT/finite_element.py
/usr/lib/python2.7/dist-packages/FIAT/functional.py
/usr/lib/python2.7/dist-packages/FIAT/hermite.py
/usr/lib/python2.7/dist-packages/FIAT/jacobi.py
/usr/lib/python2.7/dist-packages/FIAT/lagrange.py
/usr/lib/python2.7/dist-packages/FIAT/makelags.py
/usr/lib/python2.7/dist-packages/FIAT/morley.py
/usr/lib/python2.7/dist-packages/FIAT/nedelec.py
/usr/lib/python2.7/dist-packages/FIAT/nedelec_second_kind.py
/usr/lib/python2.7/dist-packages/FIAT/newdubiner.py
/usr/lib/python2.7/dist-packages/FIAT/polynomial_set.py
/usr/lib/python2.7/dist-packages/FIAT/quadrature.py
/usr/lib/python2.7/dist-packages/FIAT/raviart_thomas.py
/usr/lib/python2.7/dist-packages/FIAT/reference_element.py
/usr/lib/python2.7/dist-packages/FIAT/regge.py
/usr/lib/python2.7/dist-packages/FIAT/tabarg.py
/usr/lib/python2.7/dist-packages/FIAT/tablag.py
/usr/lib/python2.7/dist-packages/FIAT/trace.py
/usr/lib/python2.7/dist-packages/FIAT/transform_hermite.py
/usr/lib/python2.7/dist-packages/FIAT/transform_morley.py
/usr/share/doc/python-fiat/changelog.Debian.gz
/usr/share/doc/python-fiat/copyright

Changelog

2015-08-11 - Johannes Ring <johannr@simula.no>
fiat (1.6.0-1) unstable; urgency=medium
* New upstream release.
2015-01-12 - Johannes Ring <johannr@simula.no>
fiat (1.5.0-1) unstable; urgency=medium
* New upstream release.
* debian/control:
- Bump Standards-Version to 3.9.6.
- Bump X-Python-Version to >= 2.7.
- Replace python-scientific with python-sympy in Depends field.
- Bump python-all in Build-Depends to >= 2.7.
2014-06-03 - Johannes Ring <johannr@simula.no>
fiat (1.4.0-1) unstable; urgency=medium
* New upstream release.
* debian/control: Bump Standards-Version to 3.9.5.
2013-06-26 - Johannes Ring <johannr@simula.no>
fiat (1.3.0-1) unstable; urgency=low
* New upstream release.
* debian/watch: Update URL for move to Bitbucket.
2013-06-26 - Johannes Ring <johannr@simula.no>
fiat (1.1-1) unstable; urgency=low
* New upstream release.
* debian/watch: Replace http with https in URL.
* debian/control:
- Bump Standards-Version to 3.9.4.
- Remove DM-Upload-Allowed field.
- Bump required debhelper version in Build-Depends.
- Remove cdbs from Build-Depends.
- Use canonical URIs for Vcs-* fields.
* debian/compat: Bump to compatibility level 9.
* debian/rules: Rewrite for debhelper (drop cdbs).
2011-12-07 - Johannes Ring <johannr@simula.no>
fiat (1.0.0-1) unstable; urgency=low
* New upstream release.
* debian/control: Update Homepage field.
2011-08-15 - Johannes Ring <johannr@simula.no>
fiat (1.0-beta-1) unstable; urgency=low
* New upstream release.
2011-06-22 - Johannes Ring <johannr@simula.no>
fiat (0.9.9-2) unstable; urgency=low
* Move from python-central to dh_python2 (closes: #616808).
- Remove python-central from Build-Depends.
- Bump minimum required python-all package version to 2.6.6-3~.
- Remove XB-Python-Version line.
- Bump minimum required cdbs version to 0.4.90~.
- Remove DEB_PYTHON_SYSTEM=pycentral from debian/rules.
- Replace XS-Python-Version with X-Python-Version.
* Remove old fields Conflicts, Provides, and Replaces from
debian/control.
* Bump Standards-Version to 3.9.2 (no changes needed).
2011-02-23 - Johannes Ring <johannr@simula.no>
fiat (0.9.9-1) unstable; urgency=low
* New upstream release.
* Bump Standards-Version to 3.9.1 (no changes needed).
* Update Homepage field in debian/control.
2010-07-01 - Johannes Ring <johannr@simula.no>
fiat (0.9.2-1) unstable; urgency=low
* New upstream release.
* Package moved from pkg-scicomp to Debian Science.
* Switch to dpkg-source 3.0 (quilt) format.
* Bump Standards-Version to 3.9.0 (no changes needed).
* Remove patch (added upstream).

See Also

Package Description
python-fibranet_10-3.1_all.deb cooperative threading and event driven framework
python-fife_0.3.5-1build2_amd64.deb FIFE is a multi-platform isometric game engine
python-file-encryptor_0.2.9-1_all.deb Python module to convergently encrypt and decrypt files
python-fiona_1.6.3-2_amd64.deb Python API for reading/writing vector geospatial data
python-first_2.0.0-2_all.deb simple function that returns the first true value from an iterable
python-fitbit_0.1.3-2_all.deb FitBit REST API Client Implementation
python-fiu_0.94-4_amd64.deb userspace fault injection framework (Python bindings)
python-flake8_2.5.4-2_all.deb code checker using pep8 and pyflakes - Python 2.x
python-flaky_3.1.0-1_all.deb Plugin for nose or py.test that automatically reruns flaky tests (Python 2)
python-flask-api-common_0.6.4+dfsg-1_all.deb Browsable web APIs for the Flask micro web framework - static resources
python-flask-api_0.6.4+dfsg-1_all.deb Browsable web APIs for the Flask micro web framework - Python 2.X
python-flask-autoindex-doc_0.6-1_all.deb automatically generated index pages for Flask applications (documentation)
python-flask-autoindex_0.6-1_all.deb automatically generated index pages for Flask applications (Python 2)
python-flask-babel-doc_0.9-2.1_all.deb internationalization and localization support for Flask (documentation)
python-flask-babel_0.9-2.1_all.deb internationalization and localization support for Flask
Advertisement
Advertisement